# Tootsville Prime Configuration!
# Configuration properties for Membership & Billing/TootsBook

# Beta Configurations
org.starhope.appius.requireBeta=false
org.starhope.appius.jdbc.schema=Tootsville
org.starhope.appius.jdbc.zoneSchema=appiusZones
org.starhope.appius.jdbc.storeSchema=store
org.starhope.appius.jdbc.journalSchema=userTracking
com.tootsville.members.url=https://members.tootsville.com/membership

# Account Settings
org.starhope.appius.parent.maxChildren=5

# Tootsville Coupons
com.tootsville.coupons.plushToot=false

# Tootsville Mail
com.tootsville.coupon.templates.freeplush=freeplushtoot
com.tootsville.coupon.templates.freeplush.subject="Redeem Your Free Plush Toot!"

# Local configuration folders
org.starhope.appius.util.Mail.template_folder=/etc/appius/mail/
org.starhope.appius.mb.messageFile=/etc/appius/messages/mb.properties

# Bug reporting and logging settings
org.starhope.appius.loggerName=Appius
org.starhope.appius.mailBugs=true
org.starhope.appius.mailTo=programming@resinteractive.com
org.starhope.appius.test.ConnectionDebug=false

# Internal filters
org.starhope.appius.filter.chat=BraqueChat
org.starhope.appius.filter.login=BraqueChat

# Smart Fox Server settings
com.tootsville.sfs=whitney
it.gotoandplay.sfs=192.168.1.226
it.gotoandplay.sfsPort=9339

# General Internet settings
com.sun.www.http.proxyHost=
com.sun.www.http.proxy.port=-1
mail.smtp.host=localhost
org.starhope.appius.jndi.dns=dns://74.113.137.12:53

# Game Database server access

# Database server access=
org.starhope.appius.jdbc.useTomcat=true
org.starhope.appius.jdbc.driver=com.mysql.jdbc.Driver
org.starhope.appius.jdbc.login=tootsvilleDBUser
org.starhope.appius.jdbc.password=DRAspeputAvuvuvegawUsw5Wrasp5thEYe2uVeW5t
org.starhope.appius.jdbc.host=indira.tootsville.com
org.starhope.appius.jdbc.dbcpEnabled=true
org.starhope.appius.jdbc.killStatements=false
org.starhope.appius.jdbc.killConnections=true
org.apache.commons.dbcp.maxActive=100
org.apache.commons.dbcp.minIdle=20
org.apache.commons.dbcp.maxIdle=40
org.apache.commons.dbcp.maxWait=25
org.apache.commons.dbcp.validationQuery=SELECT ID FROM users WHERE ID=1
org.apache.commons.dbcp.whenExhaustedAction=grow

# Payment gateway services
net.authorize.avs.retryTitle=Identity fraud prevention at work
net.authorize.arbURL=https://api.authorize.net/xml/v1/request.api
net.authorize.login=3qW5TKsNka6z
net.authorize.transactionKey=376u8gFKqu5z5NaB
net.authorize.protocol.delimiter=|
net.authorize.protocol.minfields=37
net.authorize.protocol.version=3.1
net.authorize.protocol.md5kernel=wdClSs@l@jqaO~Xnn@oA
net.authorize.protocol.relay_reponse=true
net.authorize.request.require_cardcode=true
net.authorize.testMode=false

com.paypal.sdk.apiUsername=
com.paypal.sdk.apiPassword=
com.paypal.sdk.signature=
com.paypal.sdk.environment=

# Object cache
com.whirlycott.cache.enable=false


# Administrative back door
org.starhope.appius.backdoor.open=true
org.starhope.appius.backdoor.port=2772
org.starhope.appius.backdoor.receiveBufferSize=1024

# Flash authorization requires this
org.starhope.appius.topLevelDomain=tootsville.com

org.starhope.appius.debug=false

org.starhope.appius.idleKickTime=1800000
org.starhope.appius.idleWarnTime=300000
org.starhope.appius.nudgeTime=5000
org.starhope.appius.metronomeTime=2000
org.starhope.appius.dumpLiveCache=false

# Zones
org.starhope.appius.zones.spawnSeconds=300
org.starhope.appius.zones.lightRatio=0.0
org.starhope.appius.zones.fullRatio=0.5
org.starhope.appius.zones.maxUsers=5

# Zap Attack
org.starhope.appius.games.countdownTime=10000
org.starhope.appius.games.playTime=60000

# Shade
com.tootsville.shade.hurts=100

# Extension commands (Tootsville specific)
xtn.org.starhope.appius.game.Commands=com.tootsville.ExtensionCommands
xtn.org.starhope.appius.sys.op.OpCommands=com.tootsville.ExtensionCommands
xtn.org.starhope.appius.user.User=com.tootsville.user.Toot
org.starhope.appius.user.Parent.dataLoader=org.starhope.appius.user.ParentRecordSQLLoader

# Tootsbook System Messages
com.tootsbook.system.event.peanuts=false
com.tootsbook.system.event.highscore=true
com.tootsbook.system.event.image.highscore=/tootbook-resource/images/systemevents/highscore.png
com.tootsbook.system.event.image.peanuts=/tootbook-resource/images/systemevents/peanuts.png

# Cache
org.starhope.appius.util.dataRecordFlushInterval=500
org.starhope.appius.alwaysRealtime = true
org.starhope.appius.disableObjectCache = true

# Outline colours
org.starhope.appius.user.outlineColour.baseOnBase=true
org.starhope.appius.user.outlineColour.darkPoint=128
org.starhope.appius.user.outlineColour.darkBrightener=64
org.starhope.appius.user.outlineColour.darkener=0.5

# Default free items
# TODO: add default TootsBook stuff?
com.tootsville.Toot.freeStuff=808 813 814 809 812 811 810 815 1072 1073 1074 1075 1938 2011 2025 1358 1359 1360 1361 1419

com.tootsville.tootsbook.defaults.avatarBG=1358
com.tootsville.tootsbook.defaults.boxColors=1359
com.tootsville.tootsbook.defaults.icon=1360
com.tootsville.tootsbook.defaults.pageBG=1361
com.tootsville.tootsbook.defaults.titleBG=1419

org.starhope.appius.message.class=org.starhope.appius.messaging.MailMessage

